at.chipkarte.client.fus.soap

## Class Konsultation

- Object
- - at.chipkarte.client.fus.soap.Konsultation

-     public class Konsultation
      extends Object

  Dient der Ausgabe der Daten der Konsultation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Konsultation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBehandlungsdatum()` Datum der durchgeführten Leistung.
    `String` | `getBehandlungsfall()` Codewert des Behandlungsfalls.
    `String` | `getFachgebietscode()` Codewert des Fachgebietes.
    `Long` | `getKonsultationId()` Eindeutige Id einer Konsultation.
    `Integer` | `getKonsultationVersion()` Version einer Konsulation.
    `String` | `getKvtPatient()` KV-Träger des Patienten.
    `String` | `getKvtVerrechnung()` Verrechnungszuständiger KV-Träger.
    `void` | `setBehandlungsdatum(String behandlungsdatum)`
    `void` | `setBehandlungsfall(String behandlungsfall)`
    `void` | `setFachgebietscode(String fachgebietscode)`
    `void` | `setKonsultationId(Long konsultationId)`
    `void` | `setKonsultationVersion(Integer konsultationVersion)`
    `void` | `setKvtPatient(String kvtPatient)`
    `void` | `setKvtVerrechnung(String kvtVerrechnung)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Konsultation

          public Konsultation()

  - ### Method Detail

    - #### getKonsultationId

          public Long getKonsultationId()

      Eindeutige Id einer Konsultation.
      Angabe: Muss.
      Returns:
        KonsultationId.

    - #### setKonsultationId

          public void setKonsultationId(Long konsultationId)

    - #### getKonsultationVersion

          public Integer getKonsultationVersion()

      Version einer Konsulation.
      Angabe: Muss.
      Returns:
        KonsultationVersion.

    - #### setKonsultationVersion

          public void setKonsultationVersion(Integer konsultationVersion)

    - #### getBehandlungsdatum

          public String getBehandlungsdatum()

      Datum der durchgeführten Leistung.
      Angabe: Muss.
      Format: TT.MM.JJJJ
      Returns:
        Behandlungsdatum.

    - #### setBehandlungsdatum

          public void setBehandlungsdatum(String behandlungsdatum)

    - #### getKvtPatient

          public String getKvtPatient()

      KV-Träger des Patienten.
      Hinweis: auch als "leistungszuständiger Träger" bezeichnet. Mögliche Werte siehe `getSVTs`.
      Angabe: Muss.
      Returns:
        KvtPatient.

    - #### setKvtPatient

          public void setKvtPatient(String kvtPatient)

    - #### getKvtVerrechnung

          public String getKvtVerrechnung()

      Verrechnungszuständiger KV-Träger.
      Mögliche Werte siehe `getSVTs`.
      Angabe: Muss.
      Returns:
        KvtVerrechnung.

    - #### setKvtVerrechnung

          public void setKvtVerrechnung(String kvtVerrechnung)

    - #### getFachgebietscode

          public String getFachgebietscode()

      Codewert des Fachgebietes.
      Mögliche Werte siehe `getFachgebiete`.
      Angabe: Muss.
      Returns:
        Fachgebietscode.

    - #### setFachgebietscode

          public void setFachgebietscode(String fachgebietscode)

    - #### getBehandlungsfall

          public String getBehandlungsfall()

      Codewert des Behandlungsfalls.
      Format: 2-stellig
      Angabe: Muss.
      Returns:
        Behandlungsfall

    - #### setBehandlungsfall

          public void setBehandlungsfall(String behandlungsfall)